fastnetmon (1.2.9-1build2) stonking; urgency=medium

  * No-change rebuild against libssl4

 -- Ravi Kant Sharma <ravi.kant.sharma@canonical.com>  Fri, 24 Jul 2026 15:16:54 +0000

fastnetmon (1.2.9-1build1) stonking; urgency=medium

  * No-change rebuild for abseil soname.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 30 Jun 2026 21:06:13 +0200

fastnetmon (1.2.9-1) unstable; urgency=high

  * New upstream release.
    - This release fixes various security issues: CVE-2026-48689,
      CVE-2026-48688, CVE-2026-48696, CVE-2026-48695, CVE-2026-48694,
      CVE-2026-48691, CVE-2026-48690, CVE-2026-48687, CVE-2026-48686,
      CVE-2026-48685, CVE-2026-48684 and CVE-2026-48683.
      Closes: #1138646

 -- Patrick Matthäi <pmatthaei@debian.org>  Tue, 02 Jun 2026 11:42:27 +0200

fastnetmon (1.2.8+git20250911-2) unstable; urgency=medium

  * Bump Standards-Version to 4.7.3 (Remove priority field).
  * Remove dh_movetousr sequence and manually set the systemd servicedir.
    Closes: #1122752
  * Update years in debian/copyright.
  * Remove Rules-Requires-Root control field.
  * Update debian/watch to version 5.
  * Remove libboost-system-dev Build-Depends.
    Closes: #1127190

 -- Patrick Matthäi <pmatthaei@debian.org>  Tue, 10 Feb 2026 16:12:15 +0100

fastnetmon (1.2.8+git20250911-1) unstable; urgency=medium

  * New upstream git snapshot.
    - Fixes build with mongo-c-driver 2.0.
      Closes: #1111777, #1110574, #1112881
    - Remove merged patch 01-spelling-error.
  * Bump Standards-Version to 4.7.2.
  * Merge 1.2.4-2+deb12u1 changelog.
  * Fix old-fsf-address-in-copyright-file.

 -- Patrick Matthäi <pmatthaei@debian.org>  Thu, 11 Sep 2025 15:48:36 +0200

fastnetmon (1.2.8-1) unstable; urgency=high

  * New upstream release.
    - Fixes CVE-2024-56073: Zero-length templates for Netflow v9 allow remote
      attackers to cause a denial of service (divide-by-zero error and
      application crash).
      Closes: #1090387
    - Fixes CVE-2024-56072: The sFlow v5 plugin allows remote attackers to cause
      a denial of service (application crash) via a crafted packet that
      specifies many sFlow samples.
      Closes: #1090388
  * Use pkgconf build dependency.
  * Add patch 01-spelling-error.
  * Adjust lintian overrides.

 -- Patrick Matthäi <pmatthaei@debian.org>  Mon, 23 Dec 2024 09:51:10 +0100

fastnetmon (1.2.7-1) unstable; urgency=medium

  * New upstream release.
  * Use new systemd service: Create a fastnetmon user and do not run fastnetmon
    as root anymore.
  * Update debian/copyright.
  * Overwrite false positive lintian warning.
  * Use dh-sequence-movetousr build dependency to move files to /usr.
    Closes: #1073746
  * Bump Standards-Version to 4.7.0.

 -- Patrick Matthäi <pmatthaei@debian.org>  Mon, 08 Jul 2024 15:49:50 +0200

fastnetmon (1.2.6-1) unstable; urgency=medium

  * New upstream release.

 -- Patrick Matthäi <pmatthaei@debian.org>  Fri, 27 Oct 2023 08:47:11 +0200

fastnetmon (1.2.5-2) unstable; urgency=medium

  * Remove leftover files after the build process in dh_clean.
    Closes: #1044992
  * Adjust lintian overrides.

 -- Patrick Matthäi <pmatthaei@debian.org>  Wed, 23 Aug 2023 15:29:48 +0200

fastnetmon (1.2.5-1) unstable; urgency=medium

  * New upstream release.
    - Drop merged patch 01-mutex.
    - Drop merged patch 02-boost.
    - Drop merged patch 03-gobgp-3.12.
    - Drop merged patch 04-gobgp-bindings.
  * Use libncurses-dev build dependency.

 -- Patrick Matthäi <pmatthaei@debian.org>  Tue, 04 Jul 2023 15:38:39 +0200

fastnetmon (1.2.4-2+deb12u1) bookworm-security; urgency=medium

  [ Moritz Mühlenhoff ]
  * Fixes CVE-2024-56073: Zero-length templates for Netflow v9 allow remote
    attackers to cause a denial of service (divide-by-zero error and
    application crash).
    Closes: #1090387
  * Fixes CVE-2024-56072: The sFlow v5 plugin allows remote attackers to cause
    a denial of service (application crash) via a crafted packet that
    specifies many sFlow samples.
    Closes: #1090388

 -- Patrick Matthäi <pmatthaei@debian.org>  Mon, 23 Dec 2024 10:30:10 +0100

fastnetmon (1.2.4-2) unstable; urgency=medium

  * Add upstream patches 03-gobgp-3.12 and 04-gobgp-bindings to support goBGP
    version 3.10 and 3.12.

 -- Patrick Matthäi <pmatthaei@debian.org>  Tue, 14 Mar 2023 15:23:10 +0100

fastnetmon (1.2.4-1) unstable; urgency=medium

  * New upstream release.
    - Drop merged patch 01-deprecated-function.
    - Drop merged patch 02-new-libbpf-interface.
    - Add upstream patches 01-mutex and 02-boost to address a FTBFS.
  * Update debian/copyright years.

 -- Patrick Matthäi <pmatthaei@debian.org>  Thu, 09 Mar 2023 16:57:28 +0100

fastnetmon (1.2.3-3) unstable; urgency=medium

  * Add patch to fix a FTBFS with gRPC version 1.51.
    Closes: #1025490
  * Bump Standards-Version to 4.6.2.

 -- Patrick Matthäi <pmatthaei@debian.org>  Tue, 27 Dec 2022 13:09:22 +0100

fastnetmon (1.2.3-2) unstable; urgency=medium

  * Add upstream patches 01-deprecated-function and 02-new-libbpf-interface to
    support libbpf 1.0.1.
    Closes: #1023555

 -- Patrick Matthäi <pmatthaei@debian.org>  Wed, 09 Nov 2022 10:44:07 +0100

fastnetmon (1.2.3-1) unstable; urgency=medium

  * New upstream release.
    - Drop dependency on libjson-c-dev.
    - Add new dependencies on libbpf-dev and libelf-dev.
  * Adjust debian/watch to work again with GitHub.

 -- Patrick Matthäi <pmatthaei@debian.org>  Fri, 21 Oct 2022 10:25:06 +0200

fastnetmon (1.2.2-2) unstable; urgency=medium

  * Adjust lintian override.

 -- Patrick Matthäi <pmatthaei@debian.org>  Wed, 14 Sep 2022 14:50:56 +0200

fastnetmon (1.2.2-1) unstable; urgency=medium

  * New upstream release.
    - Lua support was removed.
  * Adjust lintian override.
  * Do not install old init.d scripts anymore.

 -- Patrick Matthäi <pmatthaei@debian.org>  Wed, 22 Jun 2022 15:51:23 +0200

fastnetmon (1.2.1-1) unstable; urgency=medium

  * New upstream release.
  * Bump Standards-Version to 4.6.1.

 -- Patrick Matthäi <pmatthaei@debian.org>  Mon, 16 May 2022 14:08:09 +0200

fastnetmon (1.2.0+git20220506-1) unstable; urgency=medium

  * New upstream git snapshot.
    - Another try to fix mipsel build.

 -- Patrick Matthäi <pmatthaei@debian.org>  Fri, 06 May 2022 08:51:00 +0200

fastnetmon (1.2.0+git20220505-1) unstable; urgency=medium

  * New upstream git snapshot.
    - Another try to fix mipsel build.

 -- Patrick Matthäi <pmatthaei@debian.org>  Thu, 05 May 2022 09:37:44 +0200

fastnetmon (1.2.0+git20220504-1) unstable; urgency=medium

  * New upstream git snapshot.
    - Adjust debian/copyright.
    - This release should fix a FTBFS on mipsel.

 -- Patrick Matthäi <pmatthaei@debian.org>  Wed, 04 May 2022 16:05:49 +0200

fastnetmon (1.2.0+git20220503-1) unstable; urgency=medium

  * New upstream release.
    - Add new build dependency libicu-dev, capnproto, protobuf-compiler-grpc
      and golang-github-osrg-gobgp-dev.
    - Netmap and ndpi support has been removed.
      Closes: #981774
    - Removed all previous patches. The build system has been reworked by
      upstream, thanks for it!
    - Use new DO_NOT_USE_SYSTEM_LIBRARIES_FOR_BUILD build switch.
  * Bump Standards-Version to 4.6.0.
  * Set Rules-Requires-Root to no.
  * Remove old dependency on lsb-base.
  * Upgrade packaging to debhelper compat level 13.
  * Set myself as maintainer and remove Benjaming Drung. Thanks for your great
    work!
  * Set debian/watch version to 4.
  * Update debian/copyright.
  * Adjust some lintian overrides.
  * Add missing misc:Pre-Depends dependency.

 -- Patrick Matthäi <pmatthaei@debian.org>  Tue, 03 May 2022 09:34:44 +0200

fastnetmon (1.1.4-1) unstable; urgency=medium

  * New upstream release.
  * Drop 18 patches that are included upstream and refresh remaining patches

 -- Benjamin Drung <benjamin.drung@cloud.ionos.com>  Mon, 08 Jul 2019 16:16:29 +0200

fastnetmon (1.1.3+dfsg-8) unstable; urgency=medium

  * Add patch for changed include path in nDPI 2.6 (Closes: #919861)
  * Disable Lua support on riscv64 (libluajit-5.1-dev needed there)
  * Bump Standards-Version to 4.3.0 (no changes needed)

 -- Benjamin Drung <benjamin.drung@cloud.ionos.com>  Mon, 21 Jan 2019 14:38:46 +0100

fastnetmon (1.1.3+dfsg-7) unstable; urgency=medium

  [ Jesse Norell ]
  * Fixed insecure permissions for fastnetmon.dat

  [ Benjamin Drung ]
  * Update my email address to @cloud.ionos.com
  * Bump Standards-Version to 4.2.1 (no changes needed)

 -- Benjamin Drung <benjamin.drung@cloud.ionos.com>  Fri, 21 Dec 2018 11:44:23 +0100

fastnetmon (1.1.3+dfsg-6) unstable; urgency=medium

  * Include patches to add support for Memory Model Aware Atomic Operations
    and adapt link-agains-atomic patch to __atomic_add_fetch (Closes: #869805)

 -- Benjamin Drung <benjamin.drung@profitbricks.com>  Tue, 06 Feb 2018 00:18:14 +0100

fastnetmon (1.1.3+dfsg-5) unstable; urgency=medium

  * Support nDPI 2.2 (Closes: #887623)
  * Move packaging repository to salsa.debian.org
  * Bump Standards-Version to 4.1.3 (no changes needed)
  * Switch to debhelper 11
  * Disable luajit support also on ia64, powerpc, and powerpcspe
  * Link against atomic if __sync_fetch_and_add is missing (Closes: #869805)

 -- Benjamin Drung <benjamin.drung@profitbricks.com>  Tue, 30 Jan 2018 12:29:33 +0100

fastnetmon (1.1.3+dfsg-4) unstable; urgency=medium

  * Use pkg-config for finding luajit (Closes: #873325)
  * Enable luajit support on arm64, kfreebsd-amd64, mips64el, ppc64*

 -- Benjamin Drung <benjamin.drung@profitbricks.com>  Mon, 11 Sep 2017 14:27:56 +0200

fastnetmon (1.1.3+dfsg-3) unstable; urgency=medium

  * Disable Lua support for architectures where Lua is missing
  * Disable netmap support on hurd-i386 (Closes: #869622)
  * Bump Standards-Version to 4.1.0 (no changes needed)

 -- Benjamin Drung <benjamin.drung@profitbricks.com>  Thu, 24 Aug 2017 17:02:57 +0200

fastnetmon (1.1.3+dfsg-2) unstable; urgency=medium

  * Removed code which uses x86_only features (Closes: #869621)
  * GoBGP project re-licensed gobgp_api_client.proto from Apache to MIT/Expat

 -- Benjamin Drung <benjamin.drung@profitbricks.com>  Wed, 26 Jul 2017 12:33:03 +0200

fastnetmon (1.1.3+dfsg-1) unstable; urgency=medium

  * Initial release (Closes: #862104)

 -- Benjamin Drung <benjamin.drung@profitbricks.com>  Mon, 24 Jul 2017 11:55:54 +0200
